Qt Reference Documentation

# QWindowStateChangeEvent Class Reference

The QWindowStateChangeEvent class provides the window state before a window state change. More...

     #include <QWindowStateChangeEvent>

Inherits: QEvent.

- List of all members, including inherited members

## Public Functions

Qt::WindowStates | oldState () const

- 6 public functions inherited from QEvent

### Additional Inherited Members

- 1 property inherited from QEvent
- 1 static public member inherited from QEvent

## Detailed Description

The QWindowStateChangeEvent class provides the window state before a window state change.

## Member Function Documentation

### Qt::WindowStates QWindowStateChangeEvent::oldState () const

Returns the state of the window before the change.